Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.move.generic.chained
Class SubChainChangeMoveSelectorConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
              org.drools.planner.config.heuristic.selector.move.generic.chained.SubChainChangeMoveSelectorConfig

    public class SubChainChangeMoveSelectorConfig

extends MoveSelectorConfig

Field Summary

Fields inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, moveFilterClassList, moveProbabilityWeightFactoryClass, selectionOrder`

Constructor Summary
`SubChainChangeMoveSelectorConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder resolvedSelectionOrder)`
`Class<?>` | `getPlanningEntityClass()`
`Boolean` | `getSelectReversingMoveToo()`
`SubChainSelectorConfig` | `getSubChainSelectorConfig()`
`ValueSelectorConfig` | `getValueSelectorConfig()`
`void` | `inherit(SubChainChangeMoveSelectorConfig inheritedConfig)`
`void` | `setPlanningEntityClass(Class<?> planningEntityClass)`
`void` | `setSelectReversingMoveToo(Boolean selectReversingMoveToo)`
`void` | `setSubChainSelectorConfig(SubChainSelectorConfig subChainSelectorConfig)`
`void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, getCacheType, getFixedProbabilityWeight, getMoveFilterClassList, getMoveProbabilityWeightFactoryClass, getSelectionOrder, inherit, setCacheType, setFixedProbabilityWeight, setMoveFilterClassList, setMoveProbabilityWeightFactoryClass, setSelectionOrder`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubChainChangeMoveSelectorConfig

    public SubChainChangeMoveSelectorConfig()

Method Detail

### getPlanningEntityClass

    public Class<?> getPlanningEntityClass()

### setPlanningEntityClass

    public void setPlanningEntityClass(Class<?> planningEntityClass)

### getSubChainSelectorConfig

    public SubChainSelectorConfig getSubChainSelectorConfig()

### setSubChainSelectorConfig

    public void setSubChainSelectorConfig(SubChainSelectorConfig subChainSelectorConfig)

### getValueSelectorConfig

    public ValueSelectorConfig getValueSelectorConfig()

### setValueSelectorConfig

    public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

### getSelectReversingMoveToo

    public Boolean getSelectReversingMoveToo()

### setSelectReversingMoveToo

    public void setSelectReversingMoveToo(Boolean selectReversingMoveToo)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(EnvironmentMode environmentMode,
                                              SolutionDescriptor solutionDescriptor,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder resolvedSelectionOrder)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `resolvedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(SubChainChangeMoveSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.